////////////////////////////////////////////////////////////////////////////////
// *** SDK for BeholdRC.dll ***                                               //
// Version 2.0                                                                //
//                                                                            //
// Support:                                                                   //
// http://tuner.beholder.ru                                                   //
// mailto:support@beholder.ru                                                 //
////////////////////////////////////////////////////////////////////////////////

unit BeholdRC_Api;

interface

{$MINENUMSIZE 4}

uses
  Windows;

const
  CsBhAPI = 'BeholdRC.dll';

type
  eRCT =
  (
    RCT_UNKNOWN = -1,
    RCT_BUTTONS_30 = 0,
    RCT_BUTTONS_28,
    RCT_BUTTONS_34
  );

var
  ulCardCount : ULONG = 0;

////////////////////////////////////////////////////////////////////////////////

  function GetCardCount() : ULONG;                 cdecl; external CsBhAPI;
  //    WDM  

////////////////////////////////////////////////////////////////////////////////

  function GetCardName(ulCardIdx : ULONG) : PChar; cdecl; external CsBhAPI;
  //      ulCardIdx

////////////////////////////////////////////////////////////////////////////////

  function OpenCard(ulCardIdx : ULONG) : BOOL;     cdecl; external CsBhAPI;
  //     ulCardIdx

////////////////////////////////////////////////////////////////////////////////

  function GetRemoteType() : eRCT;                 cdecl; external CsBhAPI;
  //       

////////////////////////////////////////////////////////////////////////////////

  function GetRemoteCode() : ULONG;                cdecl; external CsBhAPI;
  //       Beholder

////////////////////////////////////////////////////////////////////////////////

  function GetRemoteCodeEx() : ULONG;              cdecl; external CsBhAPI;
  //   32-     

////////////////////////////////////////////////////////////////////////////////

  function UnInit() : BOOL;                        cdecl; external CsBhAPI;
  //   

////////////////////////////////////////////////////////////////////////////////
// 
// :
//     BeholdRC.dll,  
//     LoadLibrary/FreeLibrary.
//
//      Behold TV,  
//    BeholdRC.dll    Windows
//
////////////////////////////////////////////////////////////////////////////////
//
// :
//     c  GetRemoteType  GetRemoteCode(Ex), 
//     OpenCard.
//
//  UnInit       
//  ,         
// OpenCard (     ).
//
//   GetRemoteCode(Ex)      
//  .    30-50.
//
//  GetRemoteCodeEx      Behold TV 60x 
//       .  GetRemoteCodeEx
//      Beholder    Beholder.
//
////////////////////////////////////////////////////////////////////////////////
//
// ***    GetRemoteCode() ***
//
////////////////////////////////////////////////////////////////////////////////
//
// Behold TV 40x/50x  (RCT_BUTTONS_30)
//
//  0xFF  -  No button pressed
//  0x00  -  Button 0
//  0x01  -  Button 1
//  0x02  -  Button 2
//  0x03  -  Button 3
//  0x04  -  Button 4
//  0x05  -  Button 5
//  0x06  -  Button 6
//  0x07  -  Button 7
//  0x08  -  Button 8
//  0x09  -  Button 9
//  0x0A  -  Recall
//  0x0B  -  Up arrow
//  0x0C  -  Right arrow
//  0x0D  -  Mode
//  0x0E  -  Sleep
//  0x0F  -  Audio
//  0x10  -  Info
//  0x11  -  TV/AV
//  0x12  -  Power
//  0x13  -  Mute
//  0x14  -  Menu
//  0x15  -  Down arrow
//  0x16  -  OK
//  0x17  -  +100
//  0x18  -  Left arrow
//  0x1A  -  Chan +
//  0x1B  -  Vol +
//  0x1C  -  Function
//  0x1E  -  Chan -
//  0x1F  -  Vol -
//
////////////////////////////////////////////////////////////////////////////////
//
// Behold TV Columbus  (RCT_BUTTONS_28)
//
//  0xFF  -  No button pressed
//  0x00  -  Button 0
//  0x01  -  Button 1
//  0x02  -  Button 2
//  0x03  -  Button 3
//  0x04  -  Button 4
//  0x05  -  Button 5
//  0x06  -  Button 6
//  0x07  -  Button 7
//  0x08  -  Button 8
//  0x09  -  Button 9
//  0x0A  -  Recall
//  0x0B  -  CH UP
//  0x0C  -  VOL+
//  0x0D  -  Stereo
//  0x0E  -  STOP
//  0x0F  -  PREV
//  0x10  -  ZOOM
//  0x11  -  Source
//  0x12  -  Power
//  0x13  -  Mute
//  0x15  -  CH DOWN
//  0x18  -  VOL-
//  0x19  -  SNAPSHOT
//  0x1A  -  NEXT
//  0x1B  -  TIME SHIFT
//  0x1C  -  FM Radio
//  0x1D  -  REC
//  0x1E  -  PAUSE
//     
////////////////////////////////////////////////////////////////////////////////
//
// Behold TV 60x  (RCT_BUTTONS_34)
//
//  0xFF  -  No button pressed
//  0x00  -  Button 0
//  0x01  -  Button 1
//  0x02  -  Button 2
//  0x03  -  Button 3
//  0x04  -  Button 4
//  0x05  -  Button 5
//  0x06  -  Button 6
//  0x07  -  Button 7
//  0x08  -  Button 8
//  0x09  -  Button 9
//  0x0A  -  Recall
//  0x0B  -  Ch Up
//  0x0C  -  Vol +
//  0x0D  -  Info
//  0x0E  -  Teletext
//  0x0F  -  Record
//  0x10  -  Full screen
//  0x11  -  Mute
//  0x12  -  Power
//  0x13  -  Preview
//  0x14  -  Aspect
//  0x15  -  Ch Down
//  0x16  -  OK
//  0x17  -  Mode
//  0x18  -  Vol -
//  0x19  -  DVB
//  0x1A  -  Stop
//  0x1B  -  Play/Pause
//  0x1C  -  TV/FM
//  0x1D  -  Sleep
//  0x1E  -  Source
//  0x1F  -  Audio
//  0x58  -  Snapshot
//  0x5C  -  Freeze
//
////////////////////////////////////////////////////////////////////////////////

implementation

         
initialization
  ulCardCount := GetCardCount();
  
finalization
  UnInit();

end.
 